java-1.6.0/Kernel Updates for RHEL
Posted on: 07/15/2011 11:10 AM

Updated java-1.6.0-ibm and kernel packages are available for Redhat Enterprise Linux

[RHSA-2011:0938-01] Critical: java-1.6.0-ibm security update
=====================================================================
Red Hat Security Advisory

Synopsis: Critical: java-1.6.0-ibm security update
Advisory ID: RHSA-2011:0938-01
Product: Red Hat Enterprise Linux Extras
Advisory URL: https://rhn.redhat.com/errata/RHSA-2011-0938.html
Issue date: 2011-07-15
CVE Names: CVE-2011-0802 CVE-2011-0814 CVE-2011-0862
CVE-2011-0863 CVE-2011-0865 CVE-2011-0867
CVE-2011-0868 CVE-2011-0869 CVE-2011-0871
CVE-2011-0873
=====================================================================

1. Summary:

Updated java-1.6.0-ibm packages that fix several security issues are now
available for Red Hat Enterprise Linux 4 Extras, and Red Hat Enterprise
Linux 5 and 6 Supplementary.

The Red Hat Security Response Team has rated this update as having critical
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Desktop version 4 Extras - i386, x86_64
Red Hat Enterprise Linux AS version 4 Extras - i386, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop Supplementary (v. 5) - i386, x86_64
Red Hat Enterprise Linux Desktop Supplementary (v. 6) - i386, x86_64
Red Hat Enterprise Linux ES version 4 Extras - i386, x86_64
Red Hat Enterprise Linux HPC Node Supplementary (v. 6) - x86_64
Red Hat Enterprise Linux Server Supplementary (v. 5) - i386, ppc, s390x, x86_64
Red Hat Enterprise Linux Server Supplementary (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux WS version 4 Extras - i386, x86_64
Red Hat Enterprise Linux Workstation Supplementary (v. 6) - i386, x86_64

3. Description:

The IBM 1.6.0 Java release includes the IBM Java 2 Runtime Environment and
the IBM Java 2 Software Development Kit.

This update fixes several vulnerabilities in the IBM Java 2 Runtime
Environment and the IBM Java 2 Software Development Kit. Detailed
vulnerability descriptions are linked from the IBM "Security alerts" page,
listed in the References section. (CVE-2011-0802, CVE-2011-0814,
CVE-2011-0862, CVE-2011-0863, CVE-2011-0865, CVE-2011-0867, CVE-2011-0868,
CVE-2011-0869, CVE-2011-0871, CVE-2011-0873)

All users of java-1.6.0-ibm are advised to upgrade to these updated
packages, containing the IBM 1.6.0 SR9-FP2 Java release. All running
instances of IBM Java must be restarted for the update to take effect.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

706106 - CVE-2011-0865 OpenJDK: Deserialization allows creation of mutable SignedObject (Deserialization, 6618658)
706139 - CVE-2011-0862 OpenJDK: integer overflows in JPEGImageReader and font SunLayoutEngine (2D, 7013519)
706153 - CVE-2011-0867 OpenJDK: NetworkInterface information leak (Networking, 7013969)
706234 - CVE-2011-0869 OpenJDK: unprivileged proxy settings change via SOAPConnection (SAAJ, 7013971)
706241 - CVE-2011-0868 OpenJDK: incorrect numeric type conversion in TransformHelper (2D, 7016495)
706248 - CVE-2011-0871 OpenJDK: MediaTracker created Component instances with unnecessary privileges (Swing, 7020198)
711675 - CVE-2011-0873 Oracle/IBM JDK: unspecified vulnerability fixed in 6u26 (2D)
711676 - CVE-2011-0863 Oracle/IBM JDK: unspecified vulnerability fixed in 6u26 (Deployment)
711677 - CVE-2011-0802 CVE-2011-0814 Oracle/IBM JDK: unspecified vulnerabilities fixed in 6u26 (Sound)

6. Package List:

Red Hat Enterprise Linux AS version 4 Extras:

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.i386.rpm

ppc:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.ppc.rpm
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.ppc64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.ppc.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.ppc64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.ppc.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.ppc64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.ppc.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.ppc64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.ppc.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.ppc64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.ppc.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.ppc.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.ppc64.rpm

s390:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.s390.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.s390.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.s390.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.s390.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.s390.rpm

s390x:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.s390x.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.s390x.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.s390x.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.s390x.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.s390x.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.x86_64.rpm

Red Hat Desktop version 4 Extras:

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.i386.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.x86_64.rpm

Red Hat Enterprise Linux ES version 4 Extras:

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.i386.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.x86_64.rpm

Red Hat Enterprise Linux WS version 4 Extras:

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.i386.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el4.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop Supplementary (v. 5):

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-accessibility-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.i386.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-accessibility-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.x86_64.rpm

Red Hat Enterprise Linux Server Supplementary (v. 5):

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-accessibility-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.i386.rpm

ppc:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.ppc64.rpm
java-1.6.0-ibm-accessibility-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.ppc64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.ppc64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.ppc64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.ppc64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.ppc.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.ppc64.rpm

s390x:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.s390.rpm
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.s390x.rpm
java-1.6.0-ibm-accessibility-1.6.0.9.2-1jpp.2.el5.s390x.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.s390.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.s390x.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.s390.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.s390x.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.s390.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.s390x.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.s390.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.s390x.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-accessibility-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el5.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.i386.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el5.x86_64.rpm

Red Hat Enterprise Linux Desktop Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.i686.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.x86_64.rpm

Red Hat Enterprise Linux HPC Node Supplementary (v. 6):

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.x86_64.rpm

Red Hat Enterprise Linux Server Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.i686.rpm

ppc64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.ppc64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.ppc64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.ppc.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.ppc64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.ppc64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.ppc64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.ppc64.rpm

s390x:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.s390x.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.s390x.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.s390.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.s390x.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.s390x.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.s390x.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.x86_64.rpm

Red Hat Enterprise Linux Workstation Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.i686.rpm

x86_64:
java-1.6.0-ibm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.i686.rpm
java-1.6.0-ibm-devel-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.9.2-1jpp.2.el6.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.9.2-1jpp.2.el6.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2011-0802.html
https://www.redhat.com/security/data/cve/CVE-2011-0814.html
https://www.redhat.com/security/data/cve/CVE-2011-0862.html
https://www.redhat.com/security/data/cve/CVE-2011-0863.html
https://www.redhat.com/security/data/cve/CVE-2011-0865.html
https://www.redhat.com/security/data/cve/CVE-2011-0867.html
https://www.redhat.com/security/data/cve/CVE-2011-0868.html
https://www.redhat.com/security/data/cve/CVE-2011-0869.html
https://www.redhat.com/security/data/cve/CVE-2011-0871.html
https://www.redhat.com/security/data/cve/CVE-2011-0873.html
https://access.redhat.com/security/updates/classification/#critical
http://www.ibm.com/developerworks/java/jdk/alerts/

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2011 Red Hat, Inc.

[RHSA-2011:0927-01] Important: kernel security and bug fix update
=====================================================================
Red Hat Security Advisory

Synopsis: Important: kernel security and bug fix update
Advisory ID: RHSA-2011:0927-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2011-0927.html
Issue date: 2011-07-15
CVE Names: CVE-2010-4649 CVE-2011-0695 CVE-2011-0711
CVE-2011-1044 CVE-2011-1182 CVE-2011-1573
CVE-2011-1576 CVE-2011-1593 CVE-2011-1745
CVE-2011-1746 CVE-2011-1776 CVE-2011-1936
CVE-2011-2022 CVE-2011-2213 CVE-2011-2492
=====================================================================

1. Summary:

Updated kernel packages that fix multiple security issues and several bugs
are now available for Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this update as having
important security impact. Common Vulnerability Scoring System (CVSS) base
scores, which give detailed severity ratings, are available for each
vulnerability from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux (v. 5 server) - i386, ia64, noarch, ppc, s390x, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, noarch, x86_64

3. Description:

The kernel packages contain the Linux kernel, the core of any Linux
operating system.

This update fixes the following security issues:

* An integer overflow flaw in ib_uverbs_poll_cq() could allow a local,
unprivileged user to cause a denial of service or escalate their
privileges. (CVE-2010-4649, Important)

* A race condition in the way new InfiniBand connections were set up could
allow a remote user to cause a denial of service. (CVE-2011-0695,
Important)

* A flaw in the Stream Control Transmission Protocol (SCTP) implementation
could allow a remote attacker to cause a denial of service if the sysctl
"net.sctp.addip_enable" variable was turned on (it is off by default).
(CVE-2011-1573, Important)

* Flaws in the AGPGART driver implementation when handling certain IOCTL
commands could allow a local, unprivileged user to cause a denial of
service or escalate their privileges. (CVE-2011-1745, CVE-2011-2022,
Important)

* An integer overflow flaw in agp_allocate_memory() could allow a local,
unprivileged user to cause a denial of service or escalate their
privileges. (CVE-2011-1746, Important)

* A flaw allowed napi_reuse_skb() to be called on VLAN (virtual LAN)
packets. An attacker on the local network could trigger this flaw by
sending specially-crafted packets to a target system, possibly causing a
denial of service. (CVE-2011-1576, Moderate)

* An integer signedness error in next_pidmap() could allow a local,
unprivileged user to cause a denial of service. (CVE-2011-1593, Moderate)

* A flaw in the way the Xen hypervisor implementation handled CPUID
instruction emulation during virtual machine exits could allow an
unprivileged guest user to crash a guest. This only affects systems that
have an Intel x86 processor with the Intel VT-x extension enabled.
(CVE-2011-1936, Moderate)

* A flaw in inet_diag_bc_audit() could allow a local, unprivileged user to
cause a denial of service (infinite loop). (CVE-2011-2213, Moderate)

* A missing initialization flaw in the XFS file system implementation
could lead to an information leak. (CVE-2011-0711, Low)

* A flaw in ib_uverbs_poll_cq() could allow a local, unprivileged user to
cause an information leak. (CVE-2011-1044, Low)

* A missing validation check was found in the signals implementation. A
local, unprivileged user could use this flaw to send signals via the
sigqueueinfo system call, with the si_code set to SI_TKILL and with spoofed
process and user IDs, to other processes. Note: This flaw does not allow
existing permission checks to be bypassed; signals can only be sent if your
privileges allow you to already do so. (CVE-2011-1182, Low)

* A heap overflow flaw in the EFI GUID Partition Table (GPT) implementation
could allow a local attacker to cause a denial of service by mounting a
disk containing specially-crafted partition tables. (CVE-2011-1776, Low)

* Structure padding in two structures in the Bluetooth implementation
was not initialized properly before being copied to user-space, possibly
allowing local, unprivileged users to leak kernel stack memory to
user-space. (CVE-2011-2492, Low)

Red Hat would like to thank Jens Kuehnel for reporting CVE-2011-0695;
Vasiliy Kulikov for reporting CVE-2011-1745, CVE-2011-2022, and
CVE-2011-1746; Ryan Sweat for reporting CVE-2011-1576; Robert Swiecki for
reporting CVE-2011-1593; Dan Rosenberg for reporting CVE-2011-2213 and
CVE-2011-0711; Julien Tinnes of the Google Security Team for reporting
CVE-2011-1182; Timo Warns for reporting CVE-2011-1776; and Marek Kroemeke
and Filip Palian for reporting CVE-2011-2492.

Bug fix documentation will be available shortly from the Technical Notes
document linked to in the References.

Users should upgrade to these updated packages, which contain backported
patches to correct these issues, and fix the bugs noted in the Technical
Notes. The system must be rebooted for this update to take effect.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

To install kernel packages manually, use "rpm -ivh [package]". Do not
use "rpm -Uvh" as that will remove the running kernel binaries from
your system. You may use "rpm -e" to remove old kernels after
determining that the new kernel functions properly on your system.

5. Bugs fixed (http://bugzilla.redhat.com/):

653648 - CVE-2011-0695 kernel: panic in ib_cm:cm_work_handler
667916 - CVE-2010-4649 CVE-2011-1044 kernel: IB/uverbs: Handle large number of entries in poll CQ
677260 - CVE-2011-0711 kernel: xfs: prevent leaking uninitialized stack memory in FSGEOMETRY_V1
690028 - CVE-2011-1182 kernel signal spoofing issue
695173 - CVE-2011-1576 kernel: net: Fix memory leak/corruption on VLAN GRO_DROP
695383 - CVE-2011-1573 kernel: sctp: fix to calc the INIT/INIT-ACK chunk length correctly to set
697822 - CVE-2011-1593 kernel: proc: signedness issue in next_pidmap()
698996 - CVE-2011-1745 CVE-2011-2022 kernel: agp: insufficient pg_start parameter checking in AGPIOC_BIND and AGPIOC_UNBIND ioctls
698998 - CVE-2011-1746 kernel: agp: insufficient page_count parameter checking in agp_allocate_memory()
703019 - CVE-2011-2492 kernel: bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace
703026 - CVE-2011-1776 kernel: validate size of EFI GUID partition entries
703056 - [RHEL5.5] Panic in iscsi_sw_tcp_data_ready() [rhel-5.6.z]
706323 - CVE-2011-1936 kernel: xen: vmx: insecure cpuid vmexit
707899 - The pci resource for vf is not released after hot-removing Intel 82576 NIC [rhel-5.6.z]
711519 - GFS2: resource group bitmap corruption resulting in panics and withdraws
714536 - CVE-2011-2213 kernel: inet_diag: insufficient validation

6. Package List:

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/kernel-2.6.18-238.19.1.el5.src.rpm

i386:
kernel-2.6.18-238.19.1.el5.i686.rpm
kernel-PAE-2.6.18-238.19.1.el5.i686.rpm
kernel-PAE-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-PAE-devel-2.6.18-238.19.1.el5.i686.rpm
kernel-debug-2.6.18-238.19.1.el5.i686.rpm
kernel-debug-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-debug-devel-2.6.18-238.19.1.el5.i686.rpm
kernel-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-debuginfo-common-2.6.18-238.19.1.el5.i686.rpm
kernel-devel-2.6.18-238.19.1.el5.i686.rpm
kernel-headers-2.6.18-238.19.1.el5.i386.rpm
kernel-xen-2.6.18-238.19.1.el5.i686.rpm
kernel-xen-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-xen-devel-2.6.18-238.19.1.el5.i686.rpm

noarch:
kernel-doc-2.6.18-238.19.1.el5.noarch.rpm

x86_64:
kernel-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debug-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debug-debuginfo-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debug-devel-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debuginfo-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debuginfo-common-2.6.18-238.19.1.el5.x86_64.rpm
kernel-devel-2.6.18-238.19.1.el5.x86_64.rpm
kernel-headers-2.6.18-238.19.1.el5.x86_64.rpm
kernel-xen-2.6.18-238.19.1.el5.x86_64.rpm
kernel-xen-debuginfo-2.6.18-238.19.1.el5.x86_64.rpm
kernel-xen-devel-2.6.18-238.19.1.el5.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/kernel-2.6.18-238.19.1.el5.src.rpm

i386:
kernel-2.6.18-238.19.1.el5.i686.rpm
kernel-PAE-2.6.18-238.19.1.el5.i686.rpm
kernel-PAE-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-PAE-devel-2.6.18-238.19.1.el5.i686.rpm
kernel-debug-2.6.18-238.19.1.el5.i686.rpm
kernel-debug-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-debug-devel-2.6.18-238.19.1.el5.i686.rpm
kernel-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-debuginfo-common-2.6.18-238.19.1.el5.i686.rpm
kernel-devel-2.6.18-238.19.1.el5.i686.rpm
kernel-headers-2.6.18-238.19.1.el5.i386.rpm
kernel-xen-2.6.18-238.19.1.el5.i686.rpm
kernel-xen-debuginfo-2.6.18-238.19.1.el5.i686.rpm
kernel-xen-devel-2.6.18-238.19.1.el5.i686.rpm

ia64:
kernel-2.6.18-238.19.1.el5.ia64.rpm
kernel-debug-2.6.18-238.19.1.el5.ia64.rpm
kernel-debug-debuginfo-2.6.18-238.19.1.el5.ia64.rpm
kernel-debug-devel-2.6.18-238.19.1.el5.ia64.rpm
kernel-debuginfo-2.6.18-238.19.1.el5.ia64.rpm
kernel-debuginfo-common-2.6.18-238.19.1.el5.ia64.rpm
kernel-devel-2.6.18-238.19.1.el5.ia64.rpm
kernel-headers-2.6.18-238.19.1.el5.ia64.rpm
kernel-xen-2.6.18-238.19.1.el5.ia64.rpm
kernel-xen-debuginfo-2.6.18-238.19.1.el5.ia64.rpm
kernel-xen-devel-2.6.18-238.19.1.el5.ia64.rpm

noarch:
kernel-doc-2.6.18-238.19.1.el5.noarch.rpm

ppc:
kernel-2.6.18-238.19.1.el5.ppc64.rpm
kernel-debug-2.6.18-238.19.1.el5.ppc64.rpm
kernel-debug-debuginfo-2.6.18-238.19.1.el5.ppc64.rpm
kernel-debug-devel-2.6.18-238.19.1.el5.ppc64.rpm
kernel-debuginfo-2.6.18-238.19.1.el5.ppc64.rpm
kernel-debuginfo-common-2.6.18-238.19.1.el5.ppc64.rpm
kernel-devel-2.6.18-238.19.1.el5.ppc64.rpm
kernel-headers-2.6.18-238.19.1.el5.ppc.rpm
kernel-headers-2.6.18-238.19.1.el5.ppc64.rpm
kernel-kdump-2.6.18-238.19.1.el5.ppc64.rpm
kernel-kdump-debuginfo-2.6.18-238.19.1.el5.ppc64.rpm
kernel-kdump-devel-2.6.18-238.19.1.el5.ppc64.rpm

s390x:
kernel-2.6.18-238.19.1.el5.s390x.rpm
kernel-debug-2.6.18-238.19.1.el5.s390x.rpm
kernel-debug-debuginfo-2.6.18-238.19.1.el5.s390x.rpm
kernel-debug-devel-2.6.18-238.19.1.el5.s390x.rpm
kernel-debuginfo-2.6.18-238.19.1.el5.s390x.rpm
kernel-debuginfo-common-2.6.18-238.19.1.el5.s390x.rpm
kernel-devel-2.6.18-238.19.1.el5.s390x.rpm
kernel-headers-2.6.18-238.19.1.el5.s390x.rpm
kernel-kdump-2.6.18-238.19.1.el5.s390x.rpm
kernel-kdump-debuginfo-2.6.18-238.19.1.el5.s390x.rpm
kernel-kdump-devel-2.6.18-238.19.1.el5.s390x.rpm

x86_64:
kernel-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debug-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debug-debuginfo-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debug-devel-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debuginfo-2.6.18-238.19.1.el5.x86_64.rpm
kernel-debuginfo-common-2.6.18-238.19.1.el5.x86_64.rpm
kernel-devel-2.6.18-238.19.1.el5.x86_64.rpm
kernel-headers-2.6.18-238.19.1.el5.x86_64.rpm
kernel-xen-2.6.18-238.19.1.el5.x86_64.rpm
kernel-xen-debuginfo-2.6.18-238.19.1.el5.x86_64.rpm
kernel-xen-devel-2.6.18-238.19.1.el5.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2010-4649.html
https://www.redhat.com/security/data/cve/CVE-2011-0695.html
https://www.redhat.com/security/data/cve/CVE-2011-0711.html
https://www.redhat.com/security/data/cve/CVE-2011-1044.html
https://www.redhat.com/security/data/cve/CVE-2011-1182.html
https://www.redhat.com/security/data/cve/CVE-2011-1573.html
https://www.redhat.com/security/data/cve/CVE-2011-1576.html
https://www.redhat.com/security/data/cve/CVE-2011-1593.html
https://www.redhat.com/security/data/cve/CVE-2011-1745.html
https://www.redhat.com/security/data/cve/CVE-2011-1746.html
https://www.redhat.com/security/data/cve/CVE-2011-1776.html
https://www.redhat.com/security/data/cve/CVE-2011-1936.html
https://www.redhat.com/security/data/cve/CVE-2011-2022.html
https://www.redhat.com/security/data/cve/CVE-2011-2213.html
https://www.redhat.com/security/data/cve/CVE-2011-2492.html
https://access.redhat.com/security/updates/classification/#important
https://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/5.6_Technical_Notes/kernel.html#RHSA-2011-0927

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2011 Red Hat, Inc.




Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/java_1_6_0kernel_updates_for_rhel.html)